package com.ximai.mes.tm.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 要维护刀模版对象 tm_tool_maintenance
 *
 * @author generator
 * @date 2024-02-02
 */
public class TmToolMaintenance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 维护保养ID */
    @TableId
    private Long toolMaintenanceId;

    /** 维护编号 */
    @Excel(name = "维护编号")
    private String toolMaintenanceCode;


    /** 工装台账ID */
    @Excel(name = "工装台账ID")
    private Long toolId;


    /** 单据状态 */
    @Excel(name = "单据状态")
    private String maintenanceStatus;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String itemCode;


    /** 维护类型 */
    @Excel(name = "维护类型")
    private String maintenanceType;


    /** 工装夹具名称 */
    @Excel(name = "工装夹具名称")
    private String toolName;

    /** SN编码 */
    @Excel(name = "SN编码")
    private String toolCode;

    /** 存放位置 */
    @Excel(name = "存放位置")
    private String location;



    private Long processId;

    /** 维护人 */
    @Excel(name = "维护人")
    private String processPerson;



    /** 剩余寿命 */
    @Excel(name = "剩余寿命")
    private Long lifeTime;

    /** 维护后状态 */
    @Excel(name = "维护后状态")
    private String processStatus;



    /** 维护时间 */
    @Excel(name = "维护时间")
    private Long processTime;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String startTime;

    /**  结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = " 结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String endTime;

    public String getToolMaintenanceCode() {
        return toolMaintenanceCode;
    }

    public void setToolMaintenanceCode(String toolMaintenanceCode) {
        this.toolMaintenanceCode = toolMaintenanceCode;
    }

    public Long getProcessId() {
        return processId;
    }

    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    public Long getToolId() {
        return toolId;
    }



    public String getProcessPerson() {
        return processPerson;
    }

    public void setProcessPerson(String processPerson) {
        this.processPerson = processPerson;
    }

    public Long getLifeTime() {
        return lifeTime;
    }

    public void setLifeTime(Long lifeTime) {
        this.lifeTime = lifeTime;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public void setToolId(Long toolId) {
        this.toolId = toolId;
    }

    public String getMaintenanceType() {
        return maintenanceType;
    }

    public void setMaintenanceType(String maintenanceType) {
        this.maintenanceType = maintenanceType;
    }

    public Long getToolMaintenanceId() {
        return toolMaintenanceId;
    }

    public void setToolMaintenanceId(Long toolMaintenanceId) {
        this.toolMaintenanceId = toolMaintenanceId;
    }

    public void setMaintenanceStatus(String maintenanceStatus)
    {
        this.maintenanceStatus = maintenanceStatus;
    }

    public String getMaintenanceStatus()
    {
        return maintenanceStatus;
    }
    public void setItemCode(String itemCode)
    {
        this.itemCode = itemCode;
    }

    public String getItemCode()
    {
        return itemCode;
    }
    public void setToolName(String toolName)
    {
        this.toolName = toolName;
    }

    public String getToolName()
    {
        return toolName;
    }
    public void setToolCode(String toolCode)
    {
        this.toolCode = toolCode;
    }

    public String getToolCode()
    {
        return toolCode;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("toolMaintenanceId", getToolMaintenanceId())

                .append("maintenanceStatus", getMaintenanceStatus())
                .append("itemCode", getItemCode())
                .append("toolName", getToolName())
                .append("toolCode", getToolCode())
                .append("location", getLocation())
                .append("createTime", getCreateTime())
                .append("maintenanceType", getMaintenanceType())
                .append("toolId", getToolId())
                .append("toolMaintenanceCode", getToolMaintenanceCode())

                .toString();
    }
}
